Package org.optaplanner.core.impl.constructionheuristic.placer

## Class PooledEntityPlacer

- java.lang.Object
- - org.optaplanner.core.impl.constructionheuristic.placer.AbstractEntityPlacer
  - - org.optaplanner.core.impl.constructionheuristic.placer.PooledEntityPlacer

- All Implemented Interfaces:
    `Iterable<Placement>`, `EventListener`, `EntityPlacer`, `PhaseLifecycleListener`, `SolverLifecycleListener`

      public class PooledEntityPlacer
      extends AbstractEntityPlacer
      implements EntityPlacer

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected MoveSelector` | `moveSelector` |

    - ### Fields inherited from class org.optaplanner.core.impl.constructionheuristic.placer.AbstractEntityPlacer

      `logger, phaseLifecycleSupport`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PooledEntityPlacer​(MoveSelector moveSelector)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Iterator<Placement>` | `iterator()` |

    - ### Methods inherited from class org.optaplanner.core.impl.constructionheuristic.placer.AbstractEntityPlacer

      `phaseEnded, phaseStarted, solvingEnded, solvingStarted, stepEnded, stepStarted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

    - ### Methods inherited from interface org.optaplanner.core.impl.phase.event.PhaseLifecycleListener

      `phaseEnded, phaseStarted, stepEnded, stepStarted`

    - ### Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener

      `solvingEnded, solvingStarted`

- - ### Field Detail

    - #### moveSelector

          protected final MoveSelector moveSelector

  - ### Constructor Detail

    - #### PooledEntityPlacer

          public PooledEntityPlacer​(MoveSelector moveSelector)

  - ### Method Detail

    - #### iterator

          public Iterator<Placement> iterator()

      Specified by:
        `iterator` in interface `Iterable<Placement>`